Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Lirc, problem insertingh modules
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
pr3d
n00b
n00b


Joined: 19 Aug 2005
Posts: 17

PostPosted: Fri Aug 19, 2005 2:37 pm    Post subject: Lirc, problem insertingh modules Reply with quote

Well first of all, lirc used to work when i emerged it the first time, but then i deleted it again
to make new configs and now if i try to load the modules i get this error:
FATAL: Error inserting lirc_dev (/lib/modules/2.6.11-gentoo-r9/misc/lirc_dev.ko): Invalid module format

and dmesg tells me this :

lirc_dev: version magic '2.6.11-gentoo-r9 SMP preempt 586 4KSTACKS gcc-3.4' should be '2.6.11-gentoo-r9 486 gcc-3.3'
lirc_dev: version magic '2.6.11-gentoo-r9 SMP preempt 586 4KSTACKS gcc-3.3' should be '2.6.11-gentoo-r9 486 gcc-3.3'

my symlink in /usr/src/linux is correct.

does anyone knoe help?
Back to top
View user's profile Send private message
bkunlimited
l33t
l33t


Joined: 18 Jun 2004
Posts: 672

PostPosted: Fri Aug 19, 2005 7:53 pm    Post subject: Reply with quote

your kernel that was used when you were building the lirc module is obviously not the same as you're running right now. also gcc versions were different. try rebuilding the lirc module with the current kernel
Back to top
View user's profile Send private message
pr3d
n00b
n00b


Joined: 19 Aug 2005
Posts: 17

PostPosted: Fri Aug 19, 2005 9:11 pm    Post subject: ok... Reply with quote

I've tried to recompile with kerneldir pointing to the right kernel source but still no change on the error.
Should i try doing a make and makeModules inside kernelsourcedir??
Back to top
View user's profile Send private message
phsdv
Guru
Guru


Joined: 13 Mar 2005
Posts: 372
Location: Europe

PostPosted: Fri Aug 19, 2005 9:30 pm    Post subject: Reply with quote

did you also do:
Code:
make modules_install
Back to top
View user's profile Send private message
pr3d
n00b
n00b


Joined: 19 Aug 2005
Posts: 17

PostPosted: Fri Aug 19, 2005 9:48 pm    Post subject: Reply with quote

i did a make && make modules_install on /usr/src/linux, then i recompile lirc but i still get the same error
FATAL: Error inserting lirc_dev (/lib/modules/2.6.11-gentoo-r9/misc/lirc_dev.ko): Invalid module format

i tried a moprobe -f on lirc-dev and dmesg tells my this:

lirc_dev: version magic '2.6.11-gentoo-r9 SMP preempt 586 4KSTACKS gcc-3.4' should be '2.6.11-gentoo-r9 486 gcc-3.3'
lirc_dev: no version magic, tainting kernel.
lirc_dev: Unknown symbol preempt_schedule
lirc_dev: Unknown symbol _spin_unlock_irqrestore
lirc_dev: Unknown symbol add_preempt_count
lirc_dev: Unknown symbol _spin_lock_irqsave
lirc_dev: Unknown symbol sub_preempt_count
lirc_dev: Unknown symbol smp_processor_id
Back to top
View user's profile Send private message
pr3d
n00b
n00b


Joined: 19 Aug 2005
Posts: 17

PostPosted: Sat Aug 20, 2005 3:00 pm    Post subject: help help... all modules messed up Reply with quote

well, i did a make and make_modules install. then it didnt work,
i tried to recompile the whole kernel with genkernel and now everything is messed up totally.
all modules give now the same problem, i cannot use any module now, everyone is an invalid format and
insmod gives me this gcc error written above. i tried to recompile gcc, still no change and recompile kernel with
reemerged gcc didnt work either. i will try to downgrade to the last other gcc in portage and then recompile my kernel
again. maybe the solution is there.

any suggestion how i can regain control of my modules?????

thanks, regards... pr3d
Back to top
View user's profile Send private message
pr3d
n00b
n00b


Joined: 19 Aug 2005
Posts: 17

PostPosted: Sun Aug 21, 2005 2:43 pm    Post subject: help Reply with quote

i've downgraded dcc and recompiled the kernel with genkernel
nothing works

all modules dont work

can anyone help me? i really need my system running.....

the error appeared after installing lirc, could it be that lirc patches the kernel wrong
that it messes up the modules???

PLEEASE HELP!
Back to top
View user's profile Send private message
phsdv
Guru
Guru


Joined: 13 Mar 2005
Posts: 372
Location: Europe

PostPosted: Sun Aug 21, 2005 3:05 pm    Post subject: Reply with quote

I am not sure if I can help you, because of lack of information. Please post your
Code:
emerge --info
so we can see what system you use.

1) Why did you downgrade gcc (dcc was typo I assume?). Did you had un unstable gcc installed?

2) Why did you delete lirc in the first place? After installing a new kernel you re-emerge lirc and every thing should be fine.

3) Maybe try:
Code:
make clean
before your next build of the kernel, just to be sure everything is build with the same gcc/tool chain. When you have half of your kernel compiled with gcc3.4 and the other half with gcc3.3 it sure will not work.

What I would do if it was my machine (I do not use genkernel)
Code:
cd /usr/src/linux
make menuconfig
make clean
make
make modules_install
cp arch/i386/boot/bzImage /boot/kernel-2.6.12-gentoo-r9-20050821      #or whatever name fits you
cp .config /boot/config-2.6.12-gentoo-r9-20050821
vi /boot/grub/menu.lst  #to add new kernel to grub menu
emerge lirc
reboot
Back to top
View user's profile Send private message
pr3d
n00b
n00b


Joined: 19 Aug 2005
Posts: 17

PostPosted: Mon Aug 22, 2005 12:48 am    Post subject: help... again :) Reply with quote

first of all, thanks for helping me out with your suggestions.
ok

1) i downgraded gcc because i thought the error could be there, my last gcc was a stable version in fact it was in portage sys-devel/gcc-3.3.5.20050130-r1, ive downgraded to gcc-3.3.5-r1

2) ive unmerged lirc because it didnt work well with my tv receiver, so ive downloaded the nevest stable package from lirc.org.

ive tried what you said on the old kernel but no change on that.

Then i recompiled a whole new kernel, the one that was in portage last time, and now the modules that it compiled during the build of the kernel are working. but if i build new modules into it, for example the nvidia-kernel package with nvidia.ko, it gives me the same error again.

gentoo ~ # modprobe nvidia
FATAL: Error inserting nvidia (/lib/modules/2.6.12-gentoo-r6/video/nvidia.ko): Invalid module format

and dmesg says this, ... again:

nvidia: version magic '2.6.12-gentoo-r6 SMP preempt PENTIUM4 gcc-3.3' should be '2.6.12-gentoo-r6 SMP preempt PENTIUM4 gcc-3.4'

here is the output of emerge --info:gentoo ~ # emerge --info
Portage 2.0.51.22-r2 (default-linux/x86/2005.0, gcc-3.3.5, glibc-2.3.5-r0, 2.6.12-gentoo-r6 i686)
=================================================================
System uname: 2.6.12-gentoo-r6 i686 Intel(R) Pentium(R) 4 CPU 2.53GHz
Gentoo Base System version 1.6.13
dev-lang/python: 2.3.5
sys-apps/sandbox: 1.2.11
sys-devel/autoconf: 2.59-r6
sys-devel/automake: 1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.5
sys-devel/binutils: 2.15.92.0.2-r10
sys-devel/libtool: 1.5.18-r1
virtual/os-headers: 2.6.11-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i386-pc-linux-gnu"
CFLAGS="-O2 -mcpu=i686 -fomit-frame-pointer"
CHOST="i386-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.3/env /usr/kde/3.3/share/config /usr/kde/3.3/shutdown /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/lib/mozilla/defaults/pref /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O2 -mcpu=i686 -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://mirror.switch.ch/ftp/mirror/gentoo"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 X alsa apm arts avi berkdb bitmap-fonts bonobo cdr crypt cups curl divx4linux dvd eds emboss encode esd fam fax flac foomaticdb fortran gdbm gif gimp gkrellm gnome gphoto2 gpm gstreamer gtk gtk2 gtkhtml imagemagick imap imlib ipv6 java jpeg kde libg++ libwww mad maildir mikmod motif mozilla mp3 mpeg mplayer mysql nas ncurses nls nocd nptl nptlonly nvidia ogg oggvorbis opengl oss pam pdflib perl png python qt quicktime readline samba sdl slang smime spell ssl svga tcltk tcpd tiff truetype truetype-fonts type1-fonts usb vorbis xchatdccserver xchattext xine xml xml2 xmms xv xvid zlib userland_GNU kernel_linux elibc_glibc"
Unset: ASFLAGS, CTARGET, LANG, LC_ALL, LDFLAGS, LINGUAS, MAKEOPTS

i really have NO clue what this could be, but well im just a newbie, maybe you know whats wrong?

thx for helping
Back to top
View user's profile Send private message
wesw02
Apprentice
Apprentice


Joined: 10 Nov 2004
Posts: 213
Location: Dayton, Ohio, USA

PostPosted: Mon Aug 22, 2005 3:37 am    Post subject: Reply with quote

I recently ran into a simplar problem with lirc, after your last post i'm not sure if this will help or not, lirc support is no longer in the kernel it's self. You will need to emerge lirc to get the approperate modules, also make sure that module unloading is supported in your kernel. I hope this was a help
Back to top
View user's profile Send private message
pr3d
n00b
n00b


Joined: 19 Aug 2005
Posts: 17

PostPosted: Mon Aug 22, 2005 6:08 pm    Post subject: help Reply with quote

i dont know, i thought the old kernel had unload module support included in it.
the strange thing is i did never install gcc-3.4, or thats what i believe.

i recently found a post with a similar error in it

https://forums.gentoo.org/viewtopic.php?t=189250&start=375

is it useful to try his suggestions?
Back to top
View user's profile Send private message
Maedhros
Bodhisattva
Bodhisattva


Joined: 14 Apr 2004
Posts: 5511
Location: Durham, UK

PostPosted: Tue Sep 20, 2005 5:14 pm    Post subject: Reply with quote

Moved from Kernel & Hardware to Duplicate Threads in favour of 'modprobe nvidia' fails.
_________________
No-one's more important than the earthworm.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum